Subject: Lebon Khar
From: [email-masked] (WB or CM Hilbrich)
Date: Wed, 15 Oct 1997 15:14:44 GMT
Newsgroups: rec.food.recipes

Lebon Khar, or Cucumbers in Sour Cream, has many variations in spices. It
might be found in homes and small cafes through out the Middle East as a
vegetable side dish or as a salad. Yogurt may be used instead of sour
cream.

2 large cucumbers peeled and thinly sliced
1 small onion also thinly sliced
1/2 cup of commerical sour cream
1/3 cup vinegar
3/4 teaspoon salt
1/4 teaspoon pepper
3 tablespoons sugar
1/4 teaspoon dry mustard
1/4 teaspoon ground coriander

Combine the green and white things and cool until ready to serve. Combine
the rest of the ingredients in a jar with a tight fitting lid and shake
until smooth. Add sauce just before serving and toss lightly.....

Bill
--
Bill Hilbrich           St. Cloud, Minnesota            [email-masked]

rec.food.recipes is a moderated newsgroup; only recipes are accepted for
posting.  Please read the "Posting Guidelines" file first.  Articles go to
[email-masked]; administrative questions go to [email-masked].
Please allow two to five days for your submission to appear.